Blame tests/Makefile.in

Packit Service af52df
# Makefile.in generated by automake 1.13.4 from Makefile.am.
Packit Service af52df
# @configure_input@
Packit Service af52df
Packit Service af52df
# Copyright (C) 1994-2013 Free Software Foundation, Inc.
Packit Service af52df
Packit Service af52df
# This Makefile.in is free software; the Free Software Foundation
Packit Service af52df
# gives unlimited permission to copy and/or distribute it,
Packit Service af52df
# with or without modifications, as long as this notice is preserved.
Packit Service af52df
Packit Service af52df
# This program is distributed in the hope that it will be useful,
Packit Service af52df
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit Service af52df
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit Service af52df
# PARTICULAR PURPOSE.
Packit Service af52df
Packit Service af52df
@SET_MAKE@
Packit Service af52df
Packit Service af52df
VPATH = @srcdir@
Packit Service af52df
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
Packit Service af52df
am__make_running_with_option = \
Packit Service af52df
  case $${target_option-} in \
Packit Service af52df
      ?) ;; \
Packit Service af52df
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit Service af52df
              "target option '$${target_option-}' specified" >&2; \
Packit Service af52df
         exit 1;; \
Packit Service af52df
  esac; \
Packit Service af52df
  has_opt=no; \
Packit Service af52df
  sane_makeflags=$$MAKEFLAGS; \
Packit Service af52df
  if $(am__is_gnu_make); then \
Packit Service af52df
    sane_makeflags=$$MFLAGS; \
Packit Service af52df
  else \
Packit Service af52df
    case $$MAKEFLAGS in \
Packit Service af52df
      *\\[\ \	]*) \
Packit Service af52df
        bs=\\; \
Packit Service af52df
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit Service af52df
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit Service af52df
    esac; \
Packit Service af52df
  fi; \
Packit Service af52df
  skip_next=no; \
Packit Service af52df
  strip_trailopt () \
Packit Service af52df
  { \
Packit Service af52df
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit Service af52df
  }; \
Packit Service af52df
  for flg in $$sane_makeflags; do \
Packit Service af52df
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit Service af52df
    case $$flg in \
Packit Service af52df
      *=*|--*) continue;; \
Packit Service af52df
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit Service af52df
      -*I?*) strip_trailopt 'I';; \
Packit Service af52df
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit Service af52df
      -*O?*) strip_trailopt 'O';; \
Packit Service af52df
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit Service af52df
      -*l?*) strip_trailopt 'l';; \
Packit Service af52df
      -[dEDm]) skip_next=yes;; \
Packit Service af52df
      -[JT]) skip_next=yes;; \
Packit Service af52df
    esac; \
Packit Service af52df
    case $$flg in \
Packit Service af52df
      *$$target_option*) has_opt=yes; break;; \
Packit Service af52df
    esac; \
Packit Service af52df
  done; \
Packit Service af52df
  test $$has_opt = yes
Packit Service af52df
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit Service af52df
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit Service af52df
pkgdatadir = $(datadir)/@PACKAGE@
Packit Service af52df
pkgincludedir = $(includedir)/@PACKAGE@
Packit Service af52df
pkglibdir = $(libdir)/@PACKAGE@
Packit Service af52df
pkglibexecdir = $(libexecdir)/@PACKAGE@
Packit Service af52df
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit Service af52df
install_sh_DATA = $(install_sh) -c -m 644
Packit Service af52df
install_sh_PROGRAM = $(install_sh) -c
Packit Service af52df
install_sh_SCRIPT = $(install_sh) -c
Packit Service af52df
INSTALL_HEADER = $(INSTALL_DATA)
Packit Service af52df
transform = $(program_transform_name)
Packit Service af52df
NORMAL_INSTALL = :
Packit Service af52df
PRE_INSTALL = :
Packit Service af52df
POST_INSTALL = :
Packit Service af52df
NORMAL_UNINSTALL = :
Packit Service af52df
PRE_UNINSTALL = :
Packit Service af52df
POST_UNINSTALL = :
Packit Service af52df
build_triplet = @build@
Packit Service af52df
host_triplet = @host@
Packit Service af52df
subdir = tests
Packit Service af52df
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
Packit Service af52df
	$(srcdir)/libbytesize_unittest.sh.in \
Packit Service af52df
	$(srcdir)/canary_tests.sh.in $(dist_noinst_SCRIPTS) \
Packit Service af52df
	$(top_srcdir)/test-driver
Packit Service af52df
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit Service af52df
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
Packit Service af52df
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
Packit Service af52df
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
Packit Service af52df
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/acinclude.m4 \
Packit Service af52df
	$(top_srcdir)/configure.ac
Packit Service af52df
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit Service af52df
	$(ACLOCAL_M4)
Packit Service af52df
mkinstalldirs = $(install_sh) -d
Packit Service af52df
CONFIG_CLEAN_FILES = libbytesize_unittest.sh canary_tests.sh
Packit Service af52df
CONFIG_CLEAN_VPATH_FILES =
Packit Service af52df
SCRIPTS = $(dist_noinst_SCRIPTS)
Packit Service af52df
AM_V_P = $(am__v_P_@AM_V@)
Packit Service af52df
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
Packit Service af52df
am__v_P_0 = false
Packit Service af52df
am__v_P_1 = :
Packit Service af52df
AM_V_GEN = $(am__v_GEN_@AM_V@)
Packit Service af52df
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
Packit Service af52df
am__v_GEN_0 = @echo "  GEN     " $@;
Packit Service af52df
am__v_GEN_1 = 
Packit Service af52df
AM_V_at = $(am__v_at_@AM_V@)
Packit Service af52df
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
Packit Service af52df
am__v_at_0 = @
Packit Service af52df
am__v_at_1 = 
Packit Service af52df
SOURCES =
Packit Service af52df
DIST_SOURCES =
Packit Service af52df
am__can_run_installinfo = \
Packit Service af52df
  case $$AM_UPDATE_INFO_DIR in \
Packit Service af52df
    n|no|NO) false;; \
Packit Service af52df
    *) (install-info --version) >/dev/null 2>&1;; \
Packit Service af52df
  esac
Packit Service af52df
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit Service af52df
am__tty_colors_dummy = \
Packit Service af52df
  mgn= red= grn= lgn= blu= brg= std=; \
Packit Service af52df
  am__color_tests=no
Packit Service af52df
am__tty_colors = { \
Packit Service af52df
  $(am__tty_colors_dummy); \
Packit Service af52df
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
Packit Service af52df
    am__color_tests=no; \
Packit Service af52df
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
Packit Service af52df
    am__color_tests=yes; \
Packit Service af52df
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
Packit Service af52df
    am__color_tests=yes; \
Packit Service af52df
  fi; \
Packit Service af52df
  if test $$am__color_tests = yes; then \
Packit Service af52df
    red='?[0;31m'; \
Packit Service af52df
    grn='?[0;32m'; \
Packit Service af52df
    lgn='?[1;32m'; \
Packit Service af52df
    blu='?[1;34m'; \
Packit Service af52df
    mgn='?[0;35m'; \
Packit Service af52df
    brg='?[1m'; \
Packit Service af52df
    std='?[m'; \
Packit Service af52df
  fi; \
Packit Service af52df
}
Packit Service af52df
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit Service af52df
am__vpath_adj = case $$p in \
Packit Service af52df
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit Service af52df
    *) f=$$p;; \
Packit Service af52df
  esac;
Packit Service af52df
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit Service af52df
am__install_max = 40
Packit Service af52df
am__nobase_strip_setup = \
Packit Service af52df
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit Service af52df
am__nobase_strip = \
Packit Service af52df
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit Service af52df
am__nobase_list = $(am__nobase_strip_setup); \
Packit Service af52df
  for p in $$list; do echo "$$p $$p"; done | \
Packit Service af52df
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit Service af52df
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit Service af52df
    if (++n[$$2] == $(am__install_max)) \
Packit Service af52df
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit Service af52df
    END { for (dir in files) print dir, files[dir] }'
Packit Service af52df
am__base_list = \
Packit Service af52df
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit Service af52df
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit Service af52df
am__uninstall_files_from_dir = { \
Packit Service af52df
  test -z "$$files" \
Packit Service af52df
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit Service af52df
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit Service af52df
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit Service af52df
  }
Packit Service af52df
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
Packit Service af52df
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
Packit Service af52df
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
Packit Service af52df
# A command that, given a newline-separated list of test names on the
Packit Service af52df
# standard input, print the name of the tests that are to be re-run
Packit Service af52df
# upon "make recheck".
Packit Service af52df
am__list_recheck_tests = $(AWK) '{ \
Packit Service af52df
  recheck = 1; \
Packit Service af52df
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service af52df
    { \
Packit Service af52df
      if (rc < 0) \
Packit Service af52df
        { \
Packit Service af52df
          if ((getline line2 < ($$0 ".log")) < 0) \
Packit Service af52df
	    recheck = 0; \
Packit Service af52df
          break; \
Packit Service af52df
        } \
Packit Service af52df
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
Packit Service af52df
        { \
Packit Service af52df
          recheck = 0; \
Packit Service af52df
          break; \
Packit Service af52df
        } \
Packit Service af52df
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
Packit Service af52df
        { \
Packit Service af52df
          break; \
Packit Service af52df
        } \
Packit Service af52df
    }; \
Packit Service af52df
  if (recheck) \
Packit Service af52df
    print $$0; \
Packit Service af52df
  close ($$0 ".trs"); \
Packit Service af52df
  close ($$0 ".log"); \
Packit Service af52df
}'
Packit Service af52df
# A command that, given a newline-separated list of test names on the
Packit Service af52df
# standard input, create the global log from their .trs and .log files.
Packit Service af52df
am__create_global_log = $(AWK) ' \
Packit Service af52df
function fatal(msg) \
Packit Service af52df
{ \
Packit Service af52df
  print "fatal: making $@: " msg | "cat >&2;; \
Packit Service af52df
  exit 1; \
Packit Service af52df
} \
Packit Service af52df
function rst_section(header) \
Packit Service af52df
{ \
Packit Service af52df
  print header; \
Packit Service af52df
  len = length(header); \
Packit Service af52df
  for (i = 1; i <= len; i = i + 1) \
Packit Service af52df
    printf "="; \
Packit Service af52df
  printf "\n\n"; \
Packit Service af52df
} \
Packit Service af52df
{ \
Packit Service af52df
  copy_in_global_log = 1; \
Packit Service af52df
  global_test_result = "RUN"; \
Packit Service af52df
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service af52df
    { \
Packit Service af52df
      if (rc < 0) \
Packit Service af52df
         fatal("failed to read from " $$0 ".trs"); \
Packit Service af52df
      if (line ~ /$(am__global_test_result_rx)/) \
Packit Service af52df
        { \
Packit Service af52df
          sub("$(am__global_test_result_rx)", "", line); \
Packit Service af52df
          sub("[ 	]*$$", "", line); \
Packit Service af52df
          global_test_result = line; \
Packit Service af52df
        } \
Packit Service af52df
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
Packit Service af52df
        copy_in_global_log = 0; \
Packit Service af52df
    }; \
Packit Service af52df
  if (copy_in_global_log) \
Packit Service af52df
    { \
Packit Service af52df
      rst_section(global_test_result ": " $$0); \
Packit Service af52df
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
Packit Service af52df
      { \
Packit Service af52df
        if (rc < 0) \
Packit Service af52df
          fatal("failed to read from " $$0 ".log"); \
Packit Service af52df
        print line; \
Packit Service af52df
      }; \
Packit Service af52df
      printf "\n"; \
Packit Service af52df
    }; \
Packit Service af52df
  close ($$0 ".trs"); \
Packit Service af52df
  close ($$0 ".log"); \
Packit Service af52df
}'
Packit Service af52df
# Restructured Text title.
Packit Service af52df
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
Packit Service af52df
# Solaris 10 'make', and several other traditional 'make' implementations,
Packit Service af52df
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
Packit Service af52df
# by disabling -e (using the XSI extension "set +e") if it's set.
Packit Service af52df
am__sh_e_setup = case $$- in *e*) set +e;; esac
Packit Service af52df
# Default flags passed to test drivers.
Packit Service af52df
am__common_driver_flags = \
Packit Service af52df
  --color-tests "$$am__color_tests" \
Packit Service af52df
  --enable-hard-errors "$$am__enable_hard_errors" \
Packit Service af52df
  --expect-failure "$$am__expect_failure"
Packit Service af52df
# To be inserted before the command running the test.  Creates the
Packit Service af52df
# directory for the log if needed.  Stores in $dir the directory
Packit Service af52df
# containing $f, in $tst the test, in $log the log.  Executes the
Packit Service af52df
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
Packit Service af52df
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
Packit Service af52df
# will run the test scripts (or their associated LOG_COMPILER, if
Packit Service af52df
# thy have one).
Packit Service af52df
am__check_pre = \
Packit Service af52df
$(am__sh_e_setup);					\
Packit Service af52df
$(am__vpath_adj_setup) $(am__vpath_adj)			\
Packit Service af52df
$(am__tty_colors);					\
Packit Service af52df
srcdir=$(srcdir); export srcdir;			\
Packit Service af52df
case "$@" in						\
Packit Service af52df
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
Packit Service af52df
    *) am__odir=.;; 					\
Packit Service af52df
esac;							\
Packit Service af52df
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
Packit Service af52df
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
Packit Service af52df
if test -f "./$$f"; then dir=./;			\
Packit Service af52df
elif test -f "$$f"; then dir=;				\
Packit Service af52df
else dir="$(srcdir)/"; fi;				\
Packit Service af52df
tst=$$dir$$f; log='$@'; 				\
Packit Service af52df
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
Packit Service af52df
  am__enable_hard_errors=no; 				\
Packit Service af52df
else							\
Packit Service af52df
  am__enable_hard_errors=yes; 				\
Packit Service af52df
fi; 							\
Packit Service af52df
case " $(XFAIL_TESTS) " in				\
Packit Service af52df
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
Packit Service af52df
    am__expect_failure=yes;;				\
Packit Service af52df
  *)							\
Packit Service af52df
    am__expect_failure=no;;				\
Packit Service af52df
esac; 							\
Packit Service af52df
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
Packit Service af52df
# A shell command to get the names of the tests scripts with any registered
Packit Service af52df
# extension removed (i.e., equivalently, the names of the test logs, with
Packit Service af52df
# the '.log' extension removed).  The result is saved in the shell variable
Packit Service af52df
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
Packit Service af52df
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
Packit Service af52df
# since that might cause problem with VPATH rewrites for suffix-less tests.
Packit Service af52df
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
Packit Service af52df
am__set_TESTS_bases = \
Packit Service af52df
  bases='$(TEST_LOGS)'; \
Packit Service af52df
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
Packit Service af52df
  bases=`echo $$bases`
Packit Service af52df
RECHECK_LOGS = $(TEST_LOGS)
Packit Service af52df
AM_RECURSIVE_TARGETS = check recheck
Packit Service af52df
TEST_SUITE_LOG = test-suite.log
Packit Service af52df
TEST_EXTENSIONS = @EXEEXT@ .test
Packit Service af52df
LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service af52df
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
Packit Service af52df
am__set_b = \
Packit Service af52df
  case '$@' in \
Packit Service af52df
    */*) \
Packit Service af52df
      case '$*' in \
Packit Service af52df
        */*) b='$*';; \
Packit Service af52df
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
Packit Service af52df
       esac;; \
Packit Service af52df
    *) \
Packit Service af52df
      b='$*';; \
Packit Service af52df
  esac
Packit Service af52df
am__test_logs1 = $(TESTS:=.log)
Packit Service af52df
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
Packit Service af52df
TEST_LOGS = $(am__test_logs2:.test.log=.log)
Packit Service af52df
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service af52df
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
Packit Service af52df
	$(TEST_LOG_FLAGS)
Packit Service af52df
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit Service af52df
ACLOCAL = @ACLOCAL@
Packit Service af52df
AMTAR = @AMTAR@
Packit Service af52df
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
Packit Service af52df
AR = @AR@
Packit Service af52df
AUTOCONF = @AUTOCONF@
Packit Service af52df
AUTOHEADER = @AUTOHEADER@
Packit Service af52df
AUTOMAKE = @AUTOMAKE@
Packit Service af52df
AWK = @AWK@
Packit Service af52df
CC = @CC@
Packit Service af52df
CCDEPMODE = @CCDEPMODE@
Packit Service af52df
CFLAGS = @CFLAGS@
Packit Service af52df
CPP = @CPP@
Packit Service af52df
CPPFLAGS = @CPPFLAGS@
Packit Service af52df
CYGPATH_W = @CYGPATH_W@
Packit Service af52df
DEFS = @DEFS@
Packit Service af52df
DEPDIR = @DEPDIR@
Packit Service af52df
DLLTOOL = @DLLTOOL@
Packit Service af52df
DSYMUTIL = @DSYMUTIL@
Packit Service af52df
DUMPBIN = @DUMPBIN@
Packit Service af52df
ECHO_C = @ECHO_C@
Packit Service af52df
ECHO_N = @ECHO_N@
Packit Service af52df
ECHO_T = @ECHO_T@
Packit Service af52df
EGREP = @EGREP@
Packit Service af52df
EXEEXT = @EXEEXT@
Packit Service af52df
FGREP = @FGREP@
Packit Service af52df
GREP = @GREP@
Packit Service af52df
INSTALL = @INSTALL@
Packit Service af52df
INSTALL_DATA = @INSTALL_DATA@
Packit Service af52df
INSTALL_PROGRAM = @INSTALL_PROGRAM@
Packit Service af52df
INSTALL_SCRIPT = @INSTALL_SCRIPT@
Packit Service af52df
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
Packit Service af52df
LD = @LD@
Packit Service af52df
LDFLAGS = @LDFLAGS@
Packit Service af52df
LIBOBJS = @LIBOBJS@
Packit Service af52df
LIBS = @LIBS@
Packit Service af52df
LIBTOOL = @LIBTOOL@
Packit Service af52df
LIPO = @LIPO@
Packit Service af52df
LN_S = @LN_S@
Packit Service af52df
LTLIBOBJS = @LTLIBOBJS@
Packit Service af52df
MAKEINFO = @MAKEINFO@
Packit Service af52df
MANIFEST_TOOL = @MANIFEST_TOOL@
Packit Service af52df
MKDIR_P = @MKDIR_P@
Packit Service af52df
MSGCAT = @MSGCAT@
Packit Service af52df
MSGFMT = @MSGFMT@
Packit Service af52df
MSGMERGE = @MSGMERGE@
Packit Service af52df
NM = @NM@
Packit Service af52df
NMEDIT = @NMEDIT@
Packit Service af52df
OBJDUMP = @OBJDUMP@
Packit Service af52df
OBJEXT = @OBJEXT@
Packit Service af52df
OTOOL = @OTOOL@
Packit Service af52df
OTOOL64 = @OTOOL64@
Packit Service af52df
PACKAGE = @PACKAGE@
Packit Service af52df
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit Service af52df
PACKAGE_NAME = @PACKAGE_NAME@
Packit Service af52df
PACKAGE_STRING = @PACKAGE_STRING@
Packit Service af52df
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Packit Service af52df
PACKAGE_URL = @PACKAGE_URL@
Packit Service af52df
PACKAGE_VERSION = @PACKAGE_VERSION@
Packit Service af52df
PATH_SEPARATOR = @PATH_SEPARATOR@
Packit Service af52df
PCRE_CFLAGS = @PCRE_CFLAGS@
Packit Service af52df
PCRE_LIBS = @PCRE_LIBS@
Packit Service af52df
PKG_CONFIG = @PKG_CONFIG@
Packit Service af52df
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
Packit Service af52df
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
Packit Service af52df
PYTHON = @PYTHON@
Packit Service af52df
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
Packit Service af52df
PYTHON_PLATFORM = @PYTHON_PLATFORM@
Packit Service af52df
PYTHON_PREFIX = @PYTHON_PREFIX@
Packit Service af52df
PYTHON_VERSION = @PYTHON_VERSION@
Packit Service af52df
RANLIB = @RANLIB@
Packit Service af52df
SED = @SED@
Packit Service af52df
SET_MAKE = @SET_MAKE@
Packit Service af52df
SHELL = @SHELL@
Packit Service af52df
STRIP = @STRIP@
Packit Service af52df
VERSION = @VERSION@
Packit Service af52df
WITH_GTK_DOC = @WITH_GTK_DOC@
Packit Service af52df
WITH_PYTHON2 = @WITH_PYTHON2@
Packit Service af52df
WITH_PYTHON3 = @WITH_PYTHON3@
Packit Service af52df
XGETTEXT = @XGETTEXT@
Packit Service af52df
abs_builddir = @abs_builddir@
Packit Service af52df
abs_srcdir = @abs_srcdir@
Packit Service af52df
abs_top_builddir = @abs_top_builddir@
Packit Service af52df
abs_top_srcdir = @abs_top_srcdir@
Packit Service af52df
ac_ct_AR = @ac_ct_AR@
Packit Service af52df
ac_ct_CC = @ac_ct_CC@
Packit Service af52df
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
Packit Service af52df
am__include = @am__include@
Packit Service af52df
am__leading_dot = @am__leading_dot@
Packit Service af52df
am__quote = @am__quote@
Packit Service af52df
am__tar = @am__tar@
Packit Service af52df
am__untar = @am__untar@
Packit Service af52df
bindir = @bindir@
Packit Service af52df
build = @build@
Packit Service af52df
build_alias = @build_alias@
Packit Service af52df
build_cpu = @build_cpu@
Packit Service af52df
build_os = @build_os@
Packit Service af52df
build_vendor = @build_vendor@
Packit Service af52df
builddir = @builddir@
Packit Service af52df
datadir = @datadir@
Packit Service af52df
datarootdir = @datarootdir@
Packit Service af52df
docdir = @docdir@
Packit Service af52df
dvidir = @dvidir@
Packit Service af52df
exec_prefix = @exec_prefix@
Packit Service af52df
gtkdoc_scan = @gtkdoc_scan@
Packit Service af52df
host = @host@
Packit Service af52df
host_alias = @host_alias@
Packit Service af52df
host_cpu = @host_cpu@
Packit Service af52df
host_os = @host_os@
Packit Service af52df
host_vendor = @host_vendor@
Packit Service af52df
htmldir = @htmldir@
Packit Service af52df
includedir = @includedir@
Packit Service af52df
infodir = @infodir@
Packit Service af52df
install_sh = @install_sh@
Packit Service af52df
libdir = @libdir@
Packit Service af52df
libexecdir = @libexecdir@
Packit Service af52df
localedir = @localedir@
Packit Service af52df
localstatedir = @localstatedir@
Packit Service af52df
mandir = @mandir@
Packit Service af52df
mkdir_p = @mkdir_p@
Packit Service af52df
oldincludedir = @oldincludedir@
Packit Service af52df
pdfdir = @pdfdir@
Packit Service af52df
pkgpyexecdir = @pkgpyexecdir@
Packit Service af52df
pkgpythondir = @pkgpythondir@
Packit Service af52df
prefix = @prefix@
Packit Service af52df
program_transform_name = @program_transform_name@
Packit Service af52df
psdir = @psdir@
Packit Service af52df
pyexecdir = @pyexecdir@
Packit Service af52df
python2 = @python2@
Packit Service af52df
python3 = @python3@
Packit Service af52df
pythondir = @pythondir@
Packit Service af52df
sbindir = @sbindir@
Packit Service af52df
sharedstatedir = @sharedstatedir@
Packit Service af52df
srcdir = @srcdir@
Packit Service af52df
sysconfdir = @sysconfdir@
Packit Service af52df
target_alias = @target_alias@
Packit Service af52df
top_build_prefix = @top_build_prefix@
Packit Service af52df
top_builddir = @top_builddir@
Packit Service af52df
top_srcdir = @top_srcdir@
Packit Service af52df
AM_TESTS_ENVIRONMENT = top_srcdir="$(top_srcdir)" top_builddir="$(top_builddir)" ; . $(srcdir)/testenv.sh ;
Packit Service af52df
dist_noinst_SCRIPTS = libbytesize_unittest.sh libbytesize_unittest.py lbs_py_override_unittest.py locale_utils.py testenv.sh canary_tests.sh
Packit Service af52df
TESTS = libbytesize_unittest.sh lbs_py_override_unittest.py canary_tests.sh
Packit Service af52df
Packit Service af52df
# Add the translation-canary source files to the tarball
Packit Service af52df
EXTRA_DIST = $(top_srcdir)/translation-canary/translation_canary/*.py \
Packit Service af52df
             $(top_srcdir)/translation-canary/translation_canary/*/*.py
Packit Service af52df
Packit Service af52df
MAINTAINERCLEANFILES = Makefile.in
Packit Service af52df
all: all-am
Packit Service af52df
Packit Service af52df
.SUFFIXES:
Packit Service af52df
.SUFFIXES: .log .test .test$(EXEEXT) .trs
Packit Service af52df
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
Packit Service af52df
	@for dep in $?; do \
Packit Service af52df
	  case '$(am__configure_deps)' in \
Packit Service af52df
	    *$$dep*) \
Packit Service af52df
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
Packit Service af52df
	        && { if test -f $@; then exit 0; else break; fi; }; \
Packit Service af52df
	      exit 1;; \
Packit Service af52df
	  esac; \
Packit Service af52df
	done; \
Packit Service af52df
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
Packit Service af52df
	$(am__cd) $(top_srcdir) && \
Packit Service af52df
	  $(AUTOMAKE) --foreign tests/Makefile
Packit Service af52df
.PRECIOUS: Makefile
Packit Service af52df
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit Service af52df
	@case '$?' in \
Packit Service af52df
	  *config.status*) \
Packit Service af52df
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
Packit Service af52df
	  *) \
Packit Service af52df
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
Packit Service af52df
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
Packit Service af52df
	esac;
Packit Service af52df
Packit Service af52df
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit Service af52df
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service af52df
Packit Service af52df
$(top_srcdir)/configure:  $(am__configure_deps)
Packit Service af52df
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service af52df
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
Packit Service af52df
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service af52df
$(am__aclocal_m4_deps):
Packit Service af52df
libbytesize_unittest.sh: $(top_builddir)/config.status $(srcdir)/libbytesize_unittest.sh.in
Packit Service af52df
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
Packit Service af52df
canary_tests.sh: $(top_builddir)/config.status $(srcdir)/canary_tests.sh.in
Packit Service af52df
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
Packit Service af52df
Packit Service af52df
mostlyclean-libtool:
Packit Service af52df
	-rm -f *.lo
Packit Service af52df
Packit Service af52df
clean-libtool:
Packit Service af52df
	-rm -rf .libs _libs
Packit Service af52df
tags TAGS:
Packit Service af52df
Packit Service af52df
ctags CTAGS:
Packit Service af52df
Packit Service af52df
cscope cscopelist:
Packit Service af52df
Packit Service af52df
Packit Service af52df
# Recover from deleted '.trs' file; this should ensure that
Packit Service af52df
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
Packit Service af52df
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
Packit Service af52df
# to avoid problems with "make -n".
Packit Service af52df
.log.trs:
Packit Service af52df
	rm -f $< $@
Packit Service af52df
	$(MAKE) $(AM_MAKEFLAGS) $<
Packit Service af52df
Packit Service af52df
# Leading 'am--fnord' is there to ensure the list of targets does not
Packit Service af52df
# expand to empty, as could happen e.g. with make check TESTS=''.
Packit Service af52df
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
Packit Service af52df
am--force-recheck:
Packit Service af52df
	@:
Packit Service af52df
Packit Service af52df
$(TEST_SUITE_LOG): $(TEST_LOGS)
Packit Service af52df
	@$(am__set_TESTS_bases); \
Packit Service af52df
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
Packit Service af52df
	redo_bases=`for i in $$bases; do \
Packit Service af52df
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
Packit Service af52df
	            done`; \
Packit Service af52df
	if test -n "$$redo_bases"; then \
Packit Service af52df
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
Packit Service af52df
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
Packit Service af52df
	  if $(am__make_dryrun); then :; else \
Packit Service af52df
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
Packit Service af52df
	  fi; \
Packit Service af52df
	fi; \
Packit Service af52df
	if test -n "$$am__remaking_logs"; then \
Packit Service af52df
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
Packit Service af52df
	       "recursion detected" >&2; \
Packit Service af52df
	else \
Packit Service af52df
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
Packit Service af52df
	fi; \
Packit Service af52df
	if $(am__make_dryrun); then :; else \
Packit Service af52df
	  st=0;  \
Packit Service af52df
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
Packit Service af52df
	  for i in $$redo_bases; do \
Packit Service af52df
	    test -f $$i.trs && test -r $$i.trs \
Packit Service af52df
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
Packit Service af52df
	    test -f $$i.log && test -r $$i.log \
Packit Service af52df
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
Packit Service af52df
	  done; \
Packit Service af52df
	  test $$st -eq 0 || exit 1; \
Packit Service af52df
	fi
Packit Service af52df
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
Packit Service af52df
	ws='[ 	]'; \
Packit Service af52df
	results=`for b in $$bases; do echo $$b.trs; done`; \
Packit Service af52df
	test -n "$$results" || results=/dev/null; \
Packit Service af52df
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
Packit Service af52df
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
Packit Service af52df
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
Packit Service af52df
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
Packit Service af52df
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
Packit Service af52df
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
Packit Service af52df
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
Packit Service af52df
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
Packit Service af52df
	  success=true; \
Packit Service af52df
	else \
Packit Service af52df
	  success=false; \
Packit Service af52df
	fi; \
Packit Service af52df
	br='==================='; br=$$br$$br$$br$$br; \
Packit Service af52df
	result_count () \
Packit Service af52df
	{ \
Packit Service af52df
	    if test x"$$1" = x"--maybe-color"; then \
Packit Service af52df
	      maybe_colorize=yes; \
Packit Service af52df
	    elif test x"$$1" = x"--no-color"; then \
Packit Service af52df
	      maybe_colorize=no; \
Packit Service af52df
	    else \
Packit Service af52df
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
Packit Service af52df
	    fi; \
Packit Service af52df
	    shift; \
Packit Service af52df
	    desc=$$1 count=$$2; \
Packit Service af52df
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
Packit Service af52df
	      color_start=$$3 color_end=$$std; \
Packit Service af52df
	    else \
Packit Service af52df
	      color_start= color_end=; \
Packit Service af52df
	    fi; \
Packit Service af52df
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
Packit Service af52df
	}; \
Packit Service af52df
	create_testsuite_report () \
Packit Service af52df
	{ \
Packit Service af52df
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
Packit Service af52df
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
Packit Service af52df
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
Packit Service af52df
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
Packit Service af52df
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
Packit Service af52df
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
Packit Service af52df
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
Packit Service af52df
	}; \
Packit Service af52df
	{								\
Packit Service af52df
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
Packit Service af52df
	    $(am__rst_title);						\
Packit Service af52df
	  create_testsuite_report --no-color;				\
Packit Service af52df
	  echo;								\
Packit Service af52df
	  echo ".. contents:: :depth: 2";				\
Packit Service af52df
	  echo;								\
Packit Service af52df
	  for b in $$bases; do echo $$b; done				\
Packit Service af52df
	    | $(am__create_global_log);					\
Packit Service af52df
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
Packit Service af52df
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
Packit Service af52df
	if $$success; then						\
Packit Service af52df
	  col="$$grn";							\
Packit Service af52df
	 else								\
Packit Service af52df
	  col="$$red";							\
Packit Service af52df
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
Packit Service af52df
	fi;								\
Packit Service af52df
	echo "$${col}$$br$${std}"; 					\
Packit Service af52df
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
Packit Service af52df
	echo "$${col}$$br$${std}"; 					\
Packit Service af52df
	create_testsuite_report --maybe-color;				\
Packit Service af52df
	echo "$$col$$br$$std";						\
Packit Service af52df
	if $$success; then :; else					\
Packit Service af52df
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
Packit Service af52df
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
Packit Service af52df
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
Packit Service af52df
	  fi;								\
Packit Service af52df
	  echo "$$col$$br$$std";					\
Packit Service af52df
	fi;								\
Packit Service af52df
	$$success || exit 1
Packit Service af52df
Packit Service af52df
check-TESTS:
Packit Service af52df
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
Packit Service af52df
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
Packit Service af52df
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service af52df
	@set +e; $(am__set_TESTS_bases); \
Packit Service af52df
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service af52df
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
Packit Service af52df
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
Packit Service af52df
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
Packit Service af52df
	exit $$?;
Packit Service af52df
recheck: all 
Packit Service af52df
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service af52df
	@set +e; $(am__set_TESTS_bases); \
Packit Service af52df
	bases=`for i in $$bases; do echo $$i; done \
Packit Service af52df
	         | $(am__list_recheck_tests)` || exit 1; \
Packit Service af52df
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service af52df
	log_list=`echo $$log_list`; \
Packit Service af52df
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
Packit Service af52df
	        am__force_recheck=am--force-recheck \
Packit Service af52df
	        TEST_LOGS="$$log_list"; \
Packit Service af52df
	exit $$?
Packit Service af52df
libbytesize_unittest.sh.log: libbytesize_unittest.sh
Packit Service af52df
	@p='libbytesize_unittest.sh'; \
Packit Service af52df
	b='libbytesize_unittest.sh'; \
Packit Service af52df
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit Service af52df
	--log-file $$b.log --trs-file $$b.trs \
Packit Service af52df
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit Service af52df
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service af52df
lbs_py_override_unittest.py.log: lbs_py_override_unittest.py
Packit Service af52df
	@p='lbs_py_override_unittest.py'; \
Packit Service af52df
	b='lbs_py_override_unittest.py'; \
Packit Service af52df
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit Service af52df
	--log-file $$b.log --trs-file $$b.trs \
Packit Service af52df
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit Service af52df
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service af52df
canary_tests.sh.log: canary_tests.sh
Packit Service af52df
	@p='canary_tests.sh'; \
Packit Service af52df
	b='canary_tests.sh'; \
Packit Service af52df
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit Service af52df
	--log-file $$b.log --trs-file $$b.trs \
Packit Service af52df
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit Service af52df
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service af52df
.test.log:
Packit Service af52df
	@p='$<'; \
Packit Service af52df
	$(am__set_b); \
Packit Service af52df
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service af52df
	--log-file $$b.log --trs-file $$b.trs \
Packit Service af52df
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service af52df
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service af52df
@am__EXEEXT_TRUE@.test$(EXEEXT).log:
Packit Service af52df
@am__EXEEXT_TRUE@	@p='$<'; \
Packit Service af52df
@am__EXEEXT_TRUE@	$(am__set_b); \
Packit Service af52df
@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service af52df
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
Packit Service af52df
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service af52df
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service af52df
Packit Service af52df
distdir: $(DISTFILES)
Packit Service af52df
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service af52df
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service af52df
	list='$(DISTFILES)'; \
Packit Service af52df
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit Service af52df
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit Service af52df
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit Service af52df
	case $$dist_files in \
Packit Service af52df
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit Service af52df
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit Service af52df
			   sort -u` ;; \
Packit Service af52df
	esac; \
Packit Service af52df
	for file in $$dist_files; do \
Packit Service af52df
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit Service af52df
	  if test -d $$d/$$file; then \
Packit Service af52df
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit Service af52df
	    if test -d "$(distdir)/$$file"; then \
Packit Service af52df
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service af52df
	    fi; \
Packit Service af52df
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit Service af52df
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit Service af52df
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service af52df
	    fi; \
Packit Service af52df
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit Service af52df
	  else \
Packit Service af52df
	    test -f "$(distdir)/$$file" \
Packit Service af52df
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit Service af52df
	    || exit 1; \
Packit Service af52df
	  fi; \
Packit Service af52df
	done
Packit Service af52df
check-am: all-am
Packit Service af52df
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
Packit Service af52df
check: check-am
Packit Service af52df
all-am: Makefile $(SCRIPTS)
Packit Service af52df
installdirs:
Packit Service af52df
install: install-am
Packit Service af52df
install-exec: install-exec-am
Packit Service af52df
install-data: install-data-am
Packit Service af52df
uninstall: uninstall-am
Packit Service af52df
Packit Service af52df
install-am: all-am
Packit Service af52df
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit Service af52df
Packit Service af52df
installcheck: installcheck-am
Packit Service af52df
install-strip:
Packit Service af52df
	if test -z '$(STRIP)'; then \
Packit Service af52df
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service af52df
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service af52df
	      install; \
Packit Service af52df
	else \
Packit Service af52df
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service af52df
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service af52df
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit Service af52df
	fi
Packit Service af52df
mostlyclean-generic:
Packit Service af52df
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
Packit Service af52df
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
Packit Service af52df
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service af52df
Packit Service af52df
clean-generic:
Packit Service af52df
Packit Service af52df
distclean-generic:
Packit Service af52df
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit Service af52df
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit Service af52df
Packit Service af52df
maintainer-clean-generic:
Packit Service af52df
	@echo "This command is intended for maintainers to use"
Packit Service af52df
	@echo "it deletes files that may require special tools to rebuild."
Packit Service af52df
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
Packit Service af52df
clean: clean-am
Packit Service af52df
Packit Service af52df
clean-am: clean-generic clean-libtool mostlyclean-am
Packit Service af52df
Packit Service af52df
distclean: distclean-am
Packit Service af52df
	-rm -f Makefile
Packit Service af52df
distclean-am: clean-am distclean-generic
Packit Service af52df
Packit Service af52df
dvi: dvi-am
Packit Service af52df
Packit Service af52df
dvi-am:
Packit Service af52df
Packit Service af52df
html: html-am
Packit Service af52df
Packit Service af52df
html-am:
Packit Service af52df
Packit Service af52df
info: info-am
Packit Service af52df
Packit Service af52df
info-am:
Packit Service af52df
Packit Service af52df
install-data-am:
Packit Service af52df
Packit Service af52df
install-dvi: install-dvi-am
Packit Service af52df
Packit Service af52df
install-dvi-am:
Packit Service af52df
Packit Service af52df
install-exec-am:
Packit Service af52df
Packit Service af52df
install-html: install-html-am
Packit Service af52df
Packit Service af52df
install-html-am:
Packit Service af52df
Packit Service af52df
install-info: install-info-am
Packit Service af52df
Packit Service af52df
install-info-am:
Packit Service af52df
Packit Service af52df
install-man:
Packit Service af52df
Packit Service af52df
install-pdf: install-pdf-am
Packit Service af52df
Packit Service af52df
install-pdf-am:
Packit Service af52df
Packit Service af52df
install-ps: install-ps-am
Packit Service af52df
Packit Service af52df
install-ps-am:
Packit Service af52df
Packit Service af52df
installcheck-am:
Packit Service af52df
Packit Service af52df
maintainer-clean: maintainer-clean-am
Packit Service af52df
	-rm -f Makefile
Packit Service af52df
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit Service af52df
Packit Service af52df
mostlyclean: mostlyclean-am
Packit Service af52df
Packit Service af52df
mostlyclean-am: mostlyclean-generic mostlyclean-libtool
Packit Service af52df
Packit Service af52df
pdf: pdf-am
Packit Service af52df
Packit Service af52df
pdf-am:
Packit Service af52df
Packit Service af52df
ps: ps-am
Packit Service af52df
Packit Service af52df
ps-am:
Packit Service af52df
Packit Service af52df
uninstall-am:
Packit Service af52df
Packit Service af52df
.MAKE: check-am install-am install-strip
Packit Service af52df
Packit Service af52df
.PHONY: all all-am check check-TESTS check-am clean clean-generic \
Packit Service af52df
	clean-libtool cscopelist-am ctags-am distclean \
Packit Service af52df
	distclean-generic distclean-libtool distdir dvi dvi-am html \
Packit Service af52df
	html-am info info-am install install-am install-data \
Packit Service af52df
	install-data-am install-dvi install-dvi-am install-exec \
Packit Service af52df
	install-exec-am install-html install-html-am install-info \
Packit Service af52df
	install-info-am install-man install-pdf install-pdf-am \
Packit Service af52df
	install-ps install-ps-am install-strip installcheck \
Packit Service af52df
	installcheck-am installdirs maintainer-clean \
Packit Service af52df
	maintainer-clean-generic mostlyclean mostlyclean-generic \
Packit Service af52df
	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
Packit Service af52df
	uninstall uninstall-am
Packit Service af52df
Packit Service af52df
Packit Service af52df
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit Service af52df
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit Service af52df
.NOEXPORT: